MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024718Open CASCADE[OCCT] OCCT:Configurationpublic2014-03-13 09:132014-11-11 12:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024718: Broken build on VC8 (VS 2005) if TBB is used
DescriptionCurrent master (9a4eee60) does not build well on vc8 if TBB 3.0 is used, due to the same problem as in 0024234, now in OpenGl_SceneGeometry.cxx
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024234closedbugmaster occt master is not compiled by VC++ 2005 (vc8 32/64 bit TKBO) 

-  Notes
(0028244)
abv (manager)
2014-03-13 09:16

Fix pushed to CR24718, please review
(0028245)
kgv (developer)
2014-03-13 09:32

Dear bugmaster,

please check compilation and integrate the fix.

- Related Changesets
occt: master be8d29f5
Timestamp: 2014-03-13 05:15:46
Author: abv
Committer: bugmaster
Details ] Diff ]
0024718: Broken build on VC8 (VS 2005) if TBB is used

Macro _WIN32_WINNT defined in OpenGl_SceneGeometry.cxx for building with TBB on VS 2005
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-13 09:13 abv New Issue
2014-03-13 09:13 abv Assigned To => bugmaster
2014-03-13 09:14 abv Relationship added related to 0024234
2014-03-13 09:16 abv Note Added: 0028244
2014-03-13 09:16 abv Assigned To bugmaster => kgv
2014-03-13 09:16 abv Status new => resolved
2014-03-13 09:32 kgv Note Added: 0028245
2014-03-13 09:32 kgv Assigned To kgv => bugmaster
2014-03-13 09:32 kgv Status resolved => reviewed
2014-03-13 20:07 bugmaster Status reviewed => tested
2014-03-17 11:21 bugmaster Changeset attached => occt master be8d29f5
2014-03-17 11:21 bugmaster Status tested => verified
2014-03-17 11:21 bugmaster Resolution open => fixed
2014-04-04 13:31 abv Product Version 6.7.1 => 6.8.0
2014-04-04 13:31 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker